Delete customer's address
curl --request DELETE \
--url https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/customers/{customerId}/customer-address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "CUSTOMER_ADDRESS_DELETED_SUCCESSFULLY",
"message": "Customer address deleted successfully"
}Customer Address
Delete customer's address
Using this endpoint, you can delete an existing address of a customer based on the customerId and addressId.
DELETE
/
customers
/
{customerId}
/
customer-address
/
{addressId}
Delete customer's address
Authorizations
The access token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Example:
"517fa9dfd42d8b00g1o3k312"
A UUID of the request.
Path Parameters
A 24-character system-generated ID of the customer. This is returned in the response of the POST /customers endpoint.
Example:
"61a558b1b155125f02be7fb1"
A 24-character system-generated ID of the customer's address.
Example:
"61a558b1b155125f02be7fb2"
Was this page helpful?
